<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8" xmlns:th="http://www.thymeleaf.org">
    <title>Incident</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Incident information</h1>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <table class="table">
        <thead>
        <tr>
            <th scope="col">Problem</th>
            <th scope="col">Location from</th>
            <th scope="col">Location to</th>
            <th scope="col">Car</th>
            <th scope="col">Car weight</th>
            <th scope="col">Contact name</th>
            <th scope="col">Contact phone</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td th:text="${incident.description}"></td>
            <td th:text="${incident.locFrom}"></td>
            <td th:text="${incident.locTo}"></td>
            <td th:text="${incident.carBrand}+ ' ' + ${incident.carModel}"></td>
            <td th:text="${incident.carWeight}"></td>
            <td th:text="${incident.user.name}"></td>
            <td th:text="${incident.user.phone}"></td>
        </tr>
        </tbody>
    </table>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <form th:method="POST" th:action="@{'/incident/' + ${incident.id} + '/proposal'}" th:object="${priceDto}">
        <label for="price">Your price</label>
        <input type="number" th:field="*{price}" id="price">
        <input type="submit" value="Send your price">
        <div class="alert alert-warning" th:if="${#fields.hasErrors('price')}" th:errors="*{price}"></div>
    </form>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>